# Uses of Class
org.biojava.utils.bytecode.CodeField

## Uses of CodeField in org.biojava.utils.bytecode

Methods in org.biojava.utils.bytecode that return CodeField
Modifier and Type
Method
Description
`CodeField`
GeneratedCodeClass.`createField(String name, CodeClass clazz, int mods)`
`CodeField`
CodeClass.`getFieldByName(String name)`
Get a field by its name.
`CodeField`
GeneratedCodeClass.`getFieldByName(String name)`
`CodeField`
IntrospectedCodeClass.`getFieldByName(String name)`
Methods in org.biojava.utils.bytecode with parameters of type CodeField
Modifier and Type
Method
Description
`static Instruction`
ByteCode.`make_getfield(CodeField cf)`
`static Instruction`
ByteCode.`make_getstatic(CodeField cf)`
`static Instruction`
ByteCode.`make_putfield(CodeField cf)`
`static Instruction`
ByteCode.`make_putstatic(CodeField cf)`
`int`
ConstantPool.`resolveField(CodeField f)`